Create a note
curl --request POST \
--url https://api-sandbox.synctera.com/v0/notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "Customer was frozen to investigate fraud.",
"related_resource_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"related_resource_type": "CUSTOMER",
"metadata": {},
"related_resource_field": "/legal_address/city",
"status": "RESOLVED",
"tenant": "abcdef_ghijkl",
"type": "NOTE"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/notes"
payload = {
"content": "Customer was frozen to investigate fraud.",
"related_resource_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"related_resource_type": "CUSTOMER",
"metadata": {},
"related_resource_field": "/legal_address/city",
"status": "RESOLVED",
"tenant": "abcdef_ghijkl",
"type": "NOTE"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'Customer was frozen to investigate fraud.',
related_resource_id: '7d943c51-e4ff-4e57-9558-08cab6b963c7',
related_resource_type: 'CUSTOMER',
metadata: {},
related_resource_field: '/legal_address/city',
status: 'RESOLVED',
tenant: 'abcdef_ghijkl',
type: 'NOTE'
})
};
fetch('https://api-sandbox.synctera.com/v0/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/notes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'content' => 'Customer was frozen to investigate fraud.',
'related_resource_id' => '7d943c51-e4ff-4e57-9558-08cab6b963c7',
'related_resource_type' => 'CUSTOMER',
'metadata' => [
],
'related_resource_field' => '/legal_address/city',
'status' => 'RESOLVED',
'tenant' => 'abcdef_ghijkl',
'type' => 'NOTE'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/notes"
payload := strings.NewReader("{\n \"content\": \"Customer was frozen to investigate fraud.\",\n \"related_resource_id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"related_resource_type\": \"CUSTOMER\",\n \"metadata\": {},\n \"related_resource_field\": \"/legal_address/city\",\n \"status\": \"RESOLVED\",\n \"tenant\": \"abcdef_ghijkl\",\n \"type\": \"NOTE\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.synctera.com/v0/notes")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"content\": \"Customer was frozen to investigate fraud.\",\n \"related_resource_id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"related_resource_type\": \"CUSTOMER\",\n \"metadata\": {},\n \"related_resource_field\": \"/legal_address/city\",\n \"status\": \"RESOLVED\",\n \"tenant\": \"abcdef_ghijkl\",\n \"type\": \"NOTE\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/notes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"content\": \"Customer was frozen to investigate fraud.\",\n \"related_resource_id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"related_resource_type\": \"CUSTOMER\",\n \"metadata\": {},\n \"related_resource_field\": \"/legal_address/city\",\n \"status\": \"RESOLVED\",\n \"tenant\": \"abcdef_ghijkl\",\n \"type\": \"NOTE\"\n}"
response = http.request(request)
puts response.read_body{
"author": "Jane Smith jane@example.com",
"content": "Customer was frozen to investigate fraud.",
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"related_resource_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"related_resource_type": "CUSTOMER",
"tenant": "abcdef_ghijkl",
"metadata": {},
"related_resource_field": "/legal_address/city",
"status": "RESOLVED",
"type": "NOTE"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Notes
Create a note
Create a note
POST
/
notes
Create a note
curl --request POST \
--url https://api-sandbox.synctera.com/v0/notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "Customer was frozen to investigate fraud.",
"related_resource_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"related_resource_type": "CUSTOMER",
"metadata": {},
"related_resource_field": "/legal_address/city",
"status": "RESOLVED",
"tenant": "abcdef_ghijkl",
"type": "NOTE"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/notes"
payload = {
"content": "Customer was frozen to investigate fraud.",
"related_resource_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"related_resource_type": "CUSTOMER",
"metadata": {},
"related_resource_field": "/legal_address/city",
"status": "RESOLVED",
"tenant": "abcdef_ghijkl",
"type": "NOTE"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'Customer was frozen to investigate fraud.',
related_resource_id: '7d943c51-e4ff-4e57-9558-08cab6b963c7',
related_resource_type: 'CUSTOMER',
metadata: {},
related_resource_field: '/legal_address/city',
status: 'RESOLVED',
tenant: 'abcdef_ghijkl',
type: 'NOTE'
})
};
fetch('https://api-sandbox.synctera.com/v0/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/notes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'content' => 'Customer was frozen to investigate fraud.',
'related_resource_id' => '7d943c51-e4ff-4e57-9558-08cab6b963c7',
'related_resource_type' => 'CUSTOMER',
'metadata' => [
],
'related_resource_field' => '/legal_address/city',
'status' => 'RESOLVED',
'tenant' => 'abcdef_ghijkl',
'type' => 'NOTE'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/notes"
payload := strings.NewReader("{\n \"content\": \"Customer was frozen to investigate fraud.\",\n \"related_resource_id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"related_resource_type\": \"CUSTOMER\",\n \"metadata\": {},\n \"related_resource_field\": \"/legal_address/city\",\n \"status\": \"RESOLVED\",\n \"tenant\": \"abcdef_ghijkl\",\n \"type\": \"NOTE\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.synctera.com/v0/notes")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"content\": \"Customer was frozen to investigate fraud.\",\n \"related_resource_id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"related_resource_type\": \"CUSTOMER\",\n \"metadata\": {},\n \"related_resource_field\": \"/legal_address/city\",\n \"status\": \"RESOLVED\",\n \"tenant\": \"abcdef_ghijkl\",\n \"type\": \"NOTE\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/notes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"content\": \"Customer was frozen to investigate fraud.\",\n \"related_resource_id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"related_resource_type\": \"CUSTOMER\",\n \"metadata\": {},\n \"related_resource_field\": \"/legal_address/city\",\n \"status\": \"RESOLVED\",\n \"tenant\": \"abcdef_ghijkl\",\n \"type\": \"NOTE\"\n}"
response = http.request(request)
puts response.read_body{
"author": "Jane Smith jane@example.com",
"content": "Customer was frozen to investigate fraud.",
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"related_resource_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"related_resource_type": "CUSTOMER",
"tenant": "abcdef_ghijkl",
"metadata": {},
"related_resource_field": "/legal_address/city",
"status": "RESOLVED",
"type": "NOTE"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Authorizations
Body
application/json
note to create
🚧 Beta This is a Beta property. Feedback from the community is welcome. We may make breaking changes to this property. Path to the field in the related resource that the note pertains to. This uses a dot notation like the following: Examples:
- a field in the resource: first_name
- a sub-field: legal_address.city
- nested arrays: application_details.sections[1].pages[2].items[0].answer
Example:
"/legal_address/city"
The type of note.
- FEEDBACK: User feedback that can be marked resolved/unresolved
- NOTE: General note
- ACCOUNT_FROZEN: Automatically created when an account is frozen
- ACCOUNT_SUSPENDED: Automatically created when an account is suspended
- CUSTOMER_SUSPENDED: Automatically created when a customer is suspended
Available options:
ACCOUNT_FROZEN, ACCOUNT_SUSPENDED, CUSTOMER_SUSPENDED, FEEDBACK, NOTE Example:
"NOTE"
Response
Created note
🚧 Beta This is a Beta property. Feedback from the community is welcome. We may make breaking changes to this property. Path to the field in the related resource that the note pertains to. This uses a dot notation like the following: Examples:
- a field in the resource: first_name
- a sub-field: legal_address.city
- nested arrays: application_details.sections[1].pages[2].items[0].answer
Example:
"/legal_address/city"
The type of note.
- FEEDBACK: User feedback that can be marked resolved/unresolved
- NOTE: General note
- ACCOUNT_FROZEN: Automatically created when an account is frozen
- ACCOUNT_SUSPENDED: Automatically created when an account is suspended
- CUSTOMER_SUSPENDED: Automatically created when a customer is suspended
Available options:
ACCOUNT_FROZEN, ACCOUNT_SUSPENDED, CUSTOMER_SUSPENDED, FEEDBACK, NOTE Example:
"NOTE"
Was this page helpful?

